relay
=====

Relay Workflow developer CLI

[![oclif](https://img.shields.io/badge/cli-oclif-brightgreen.svg)](https://oclif.io)
[![Version](https://img.shields.io/npm/v/@relaypro/cli)](https://www.npmjs.com/package/@relaypro/cli)
[![License](https://img.shields.io/npm/l/@relaypro/cli)](https://github.com/relaypro/relay-cli/blob/main/package.json)

<!-- toc -->
* [Usage](#usage)
* [Commands](#commands)
* [Command Topics](#command-topics)
* [Contributing](#contributing)
<!-- tocstop -->
# Usage
<!-- usage -->
```sh-session
$ npm install -g @relaypro/cli
$ relay COMMAND
running command...
$ relay (-v|--version|version)
@relaypro/cli/0.1.1 darwin-x64 node-v14.17.0
$ relay --help [COMMAND]
USAGE
  $ relay COMMAND
...
```
<!-- usagestop -->
# Commands
<!-- commands -->
# Command Topics

* [`relay devices`](docs/devices.md) - list all device ids
* [`relay env`](docs/env.md) - displays the configured environment
* [`relay help`](docs/help.md) - display help for relay
* [`relay login`](docs/login.md) - login with your Relay credentials
* [`relay logout`](docs/logout.md) - logout and forget any tokens
* [`relay subscriber`](docs/subscriber.md) - show default subscriber
* [`relay update`](docs/update.md) - update the relay CLI
* [`relay whoami`](docs/whoami.md) - display the current logged in user
* [`relay workflow`](docs/workflow.md) - Manage workflow configurations

<!-- commandsstop -->

<!-- contribution -->
# Contributing
<!-- contributionstop -->
