"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DevicesCommand = void 0;
const tslib_1 = require("tslib");
const cli_ux_1 = require("cli-ux");
const lodash_1 = require("lodash");
const command_1 = require("../lib/command");
const flags = tslib_1.__importStar(require("../lib/flags"));
// eslint-disable-next-line quotes
const debugFn = require("debug");
const debug = debugFn(`devices`);
class DevicesCommand extends command_1.Command {
    async run() {
        const { flags } = this.parse(DevicesCommand);
        debug(`run`);
        const devices = await this.relay.devices(flags[`subscriber-id`]);
        const mappedDevices = lodash_1.map(devices, d => ({ id: d }));
        cli_ux_1.cli.table(mappedDevices, {
            id: {
                header: `ID`
            },
        }, {
            printLine: this.log,
        });
    }
}
exports.DevicesCommand = DevicesCommand;
Object.defineProperty(DevicesCommand, "description", {
    enumerable: true,
    configurable: true,
    writable: true,
    value: `list all device ids`
});
Object.defineProperty(DevicesCommand, "flags", {
    enumerable: true,
    configurable: true,
    writable: true,
    value: {
        ...flags.subscriber
    }
});
