"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cli_ux_1 = require("cli-ux");
const command_1 = require("../lib/command");
const vars_1 = require("../lib/vars");
class Env extends command_1.Command {
    async run() {
        cli_ux_1.cli.styledHeader(`ENVIRONMENT`);
        cli_ux_1.cli.styledObject({
            env: vars_1.vars.env,
            api: vars_1.vars.host,
            auth: vars_1.vars.authHost,
            authId: vars_1.vars.authId,
        });
        cli_ux_1.cli.log(``);
        cli_ux_1.cli.styledHeader(`USAGE`);
        Env.examples.forEach(e => cli_ux_1.cli.log(e));
    }
}
exports.default = Env;
Object.defineProperty(Env, "description", {
    enumerable: true,
    configurable: true,
    writable: true,
    value: `displays the configured environment`
});
Object.defineProperty(Env, "examples", {
    enumerable: true,
    configurable: true,
    writable: true,
    value: [`
Define API and Auth Hosts using shell environment variables:

# Auth
RELAY_ENV=qa                              # default
RELAY_ENV=pro

# API
RELAY_HOST=all-api-qa-ibot.nocell.io      # default
RELAY_HOST=all-main-pro-ibot.nocell.io
`.trim()]
});
