"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const cli_ux_1 = require("cli-ux");
const debug_1 = tslib_1.__importDefault(require("debug"));
const lodash_1 = require("lodash");
const command_1 = require("../../lib/command");
const session_1 = require("../../lib/session");
const debug = debug_1.default(`subscriber`);
class SubscriberRefresh extends command_1.Command {
    async run() {
        cli_ux_1.cli.action.start(`Retrieving authorized subscribers`);
        const subscribers = await this.relay.subscribers();
        debug(subscribers);
        cli_ux_1.cli.action.stop();
        session_1.saveSubscribers(subscribers);
        cli_ux_1.cli.styledHeader(`${lodash_1.size(subscribers)} Subscribers Refreshed`);
    }
}
exports.default = SubscriberRefresh;
Object.defineProperty(SubscriberRefresh, "description", {
    enumerable: true,
    configurable: true,
    writable: true,
    value: `refresh available subscribers`
});
