"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cli_ux_1 = require("cli-ux");
const command_1 = require("../lib/command");
class AuthWhoami extends command_1.Command {
    async run() {
        if (process.env.RELAY_API_KEY)
            this.warn(`RELAY_API_KEY is set`);
        if (!this.relay.auth)
            this.notloggedin();
        try {
            const iam = await this.relay.whoami();
            cli_ux_1.cli.styledHeader(`You are`);
            cli_ux_1.cli.styledObject(iam, [`Name`, `Email`, `User ID`, `Default Subscriber`]);
        }
        catch (error) {
            if (error.statusCode === 401)
                this.notloggedin();
            throw error;
        }
    }
    notloggedin() {
        this.error(`not logged in`, { exit: 100 });
    }
}
exports.default = AuthWhoami;
Object.defineProperty(AuthWhoami, "description", {
    enumerable: true,
    configurable: true,
    writable: true,
    value: `display the current logged in user`
});
