"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetArgsCommand = void 0;
const tslib_1 = require("tslib");
const cli_ux_1 = require("cli-ux");
const lodash_1 = require("lodash");
const command_1 = require("../../../lib/command");
const flags = tslib_1.__importStar(require("../../../lib/flags"));
// eslint-disable-next-line quotes
const debugFn = require("debug");
const debug = debugFn(`workflow`);
class SetArgsCommand extends command_1.Command {
    async run() {
        var _a, _b, _c, _d;
        const { flags } = this.parse(SetArgsCommand);
        const workflowId = flags[`workflow-id`];
        const subscriberId = flags[`subscriber-id`];
        try {
            const workflow = await this.relay.workflow(subscriberId, workflowId);
            if (workflow) {
                cli_ux_1.cli.styledHeader(`Workflow arguments for ID ${workflowId}`);
                const args = ((_d = (_c = (_b = (_a = workflow === null || workflow === void 0 ? void 0 : workflow.config) === null || _a === void 0 ? void 0 : _a.trigger) === null || _b === void 0 ? void 0 : _b.start) === null || _c === void 0 ? void 0 : _c.workflow) === null || _d === void 0 ? void 0 : _d.args) || {};
                const mappedArgs = lodash_1.map(args, (value, arg) => ({ arg, value, type: typeof value }));
                cli_ux_1.cli.table(mappedArgs, {
                    arg: {},
                    value: {},
                    type: {}
                }, {});
            }
            else {
                cli_ux_1.cli.log(`Workflow ID does not exist: ${workflowId}`);
            }
        }
        catch (err) {
            debug(err);
            this.error(err);
        }
    }
}
exports.SetArgsCommand = SetArgsCommand;
Object.defineProperty(SetArgsCommand, "description", {
    enumerable: true,
    configurable: true,
    writable: true,
    value: `List a workflow's args`
});
Object.defineProperty(SetArgsCommand, "flags", {
    enumerable: true,
    configurable: true,
    writable: true,
    value: {
        [`workflow-id`]: flags.workflowId,
        ...flags.subscriber,
    }
});
