"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TimerWorkflowCommand = void 0;
const command_1 = require("../../../lib/command");
const flags_1 = require("../../../lib/flags");
const workflow_1 = require("../../../lib/workflow");
// eslint-disable-next-line quotes
const debugFn = require("debug");
const debug = debugFn(`workflow:create:timer`);
class TimerWorkflowCommand extends command_1.Command {
    async run() {
        const { flags, raw } = this.parse(TimerWorkflowCommand);
        try {
            const workflow = workflow_1.createTimerWorkflow(flags, raw);
            debug(workflow);
            const workflows = await this.relay.saveWorkflow(workflow);
            workflow_1.printWorkflows(workflows);
        }
        catch (err) {
            debug(err);
            this.error(err);
        }
    }
}
exports.TimerWorkflowCommand = TimerWorkflowCommand;
Object.defineProperty(TimerWorkflowCommand, "description", {
    enumerable: true,
    configurable: true,
    writable: true,
    value: `Create or update a workflow triggered immediately or with a repeating rule`
});
Object.defineProperty(TimerWorkflowCommand, "strict", {
    enumerable: true,
    configurable: true,
    writable: true,
    value: false
});
Object.defineProperty(TimerWorkflowCommand, "flags", {
    enumerable: true,
    configurable: true,
    writable: true,
    value: {
        ...flags_1.workflowFlags,
        ...flags_1.timerFlags,
    }
});
