"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const command_1 = require("../../lib/command");
const flags = tslib_1.__importStar(require("../../lib/flags"));
// eslint-disable-next-line quotes
const debugFn = require("debug");
const workflow_1 = require("../../lib/workflow");
const debug = debugFn(`workflow:trigger`);
class Trigger extends command_1.Command {
    async run() {
        const { flags, raw } = this.parse(Trigger);
        const args = workflow_1.parseArgs(raw);
        debug(`triggering with`, { flags, args });
        await this.relay.triggerWorkflow(flags[`subscriber-id`], flags[`workflow-id`], args);
        this.log(`Relay CLI trigger`);
    }
}
exports.default = Trigger;
Object.defineProperty(Trigger, "hidden", {
    enumerable: true,
    configurable: true,
    writable: true,
    value: true
});
Object.defineProperty(Trigger, "description", {
    enumerable: true,
    configurable: true,
    writable: true,
    value: `Trigger a workflow over HTTP`
});
Object.defineProperty(Trigger, "flags", {
    enumerable: true,
    configurable: true,
    writable: true,
    value: {
        [`workflow-id`]: flags.workflowId,
        ...flags.subscriber,
        arg: flags.string({
            char: `a`,
            multiple: true,
            required: false,
            description: `String name/value pair workflow arg`,
        }),
        boolean: flags.booleanValue(),
        number: flags.numberValue(),
    }
});
