"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTimestampNow = exports.getTimestampFromFlag = void 0;
const luxon_1 = require("luxon");
const getTimestampFromFlag = (value, zone) => {
    const dateTime = luxon_1.DateTime.fromISO(value, { zone });
    const dateTimeUTC = dateTime.toUTC();
    const timestamp = dateTimeUTC.toISO({ suppressMilliseconds: true, includeOffset: false });
    if (!timestamp) {
        throw new Error(`failed to parse ${value} with timezone ${zone}`);
    }
    else {
        return timestamp;
    }
};
exports.getTimestampFromFlag = getTimestampFromFlag;
const getTimestampNow = () => {
    return luxon_1.DateTime.local().set({ millisecond: 0 }).toISO({ suppressMilliseconds: true, includeOffset: false });
};
exports.getTimestampNow = getTimestampNow;
