"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.booleanValue = void 0;
const command_1 = require("@oclif/command");
const utils_1 = require("../utils");
exports.booleanValue = command_1.flags.build({
    char: `b`,
    description: `Boolean name/value pair workflow arg`,
    multiple: true,
    required: false,
    helpValue: `arg1=[true|false]`,
    parse: input => {
        const [success, name, value] = utils_1.parseArg(input);
        if (success && (value === `true` || value === `false`)) {
            return { [name]: value === `true` };
        }
        else {
            throw new Error(`${input} is invalid. Must be in the format of 'foo=true' or 'foo=false'`);
        }
    },
});
