import * as flags from '@oclif/command/lib/flags';
export * from '@oclif/command/lib/flags';
import { subscriberId } from './subscriber';
import { workflowId } from './workflow';
import { booleanValue } from './boolean';
import { numberValue } from './number';
export { timerFlags, TimerOptions, TimerWorkflow } from './timer';
declare const subscriber: {
    "subscriber-id": flags.IOptionFlag<string>;
};
export declare type WorkflowFlags = {
    install?: string[];
    absorb?: string[];
    name: string;
    uri: string;
    transient: boolean;
    hidden: boolean;
    http: boolean;
};
export declare type TimerFlags = WorkflowFlags & {
    trigger: string;
    timezone: string;
    start?: string;
    until?: string;
    count?: number;
    frequency?: string;
    interval?: number;
};
declare const workflowFlags: {
    install: flags.IOptionFlag<string[]>;
    name: flags.IOptionFlag<string>;
    uri: flags.IOptionFlag<string>;
    transient: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    hidden: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    http: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    absorb: flags.IOptionFlag<string[]>;
    arg: flags.IOptionFlag<string[]>;
    boolean: flags.IOptionFlag<{
        [x: string]: boolean;
    } | undefined>;
    number: flags.IOptionFlag<{
        [x: string]: number;
    } | undefined>;
};
export { subscriberId, workflowId, booleanValue, numberValue, subscriber, workflowFlags, };
