"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.workflowFlags = exports.subscriber = exports.numberValue = exports.booleanValue = exports.workflowId = exports.subscriberId = exports.timerFlags = void 0;
const tslib_1 = require("tslib");
const flags = tslib_1.__importStar(require("@oclif/command/lib/flags"));
tslib_1.__exportStar(require("@oclif/command/lib/flags"), exports);
const subscriber_1 = require("./subscriber");
Object.defineProperty(exports, "subscriberId", { enumerable: true, get: function () { return subscriber_1.subscriberId; } });
const workflow_1 = require("./workflow");
Object.defineProperty(exports, "workflowId", { enumerable: true, get: function () { return workflow_1.workflowId; } });
const boolean_1 = require("./boolean");
Object.defineProperty(exports, "booleanValue", { enumerable: true, get: function () { return boolean_1.booleanValue; } });
const number_1 = require("./number");
Object.defineProperty(exports, "numberValue", { enumerable: true, get: function () { return number_1.numberValue; } });
var timer_1 = require("./timer");
Object.defineProperty(exports, "timerFlags", { enumerable: true, get: function () { return timer_1.timerFlags; } });
const subscriber = {
    [`subscriber-id`]: subscriber_1.subscriberId,
};
exports.subscriber = subscriber;
const workflowFlags = {
    install: flags.string({
        char: `i`,
        multiple: true,
        required: false,
        description: `device / user ID to install workflow on`
    }),
    name: flags.string({
        char: `n`,
        multiple: false,
        required: true,
        description: `Name of the workflow`
    }),
    uri: flags.string({
        char: `u`,
        multiple: false,
        required: true,
        description: `WebSocket URI workflow can be accessed`
    }),
    transient: flags.boolean({
        char: `t`,
        default: true,
        allowNo: true,
        description: `Allow workflow to run in the background; otherwise terminate workflow`,
    }),
    hidden: flags.boolean({
        char: `e`,
        default: false,
        description: `Hide channel from originating device`,
    }),
    http: flags.boolean({
        char: `h`,
        default: false,
        description: `Allow this workflow to be triggered with an HTTP request`,
    }),
    absorb: flags.string({
        required: false,
        multiple: true,
        options: [`on_call_request`, `on_incoming_call`],
        description: `If matching workflow is already running, absorb and deliver specified triggering events as in-workflow events instead`,
        hidden: true,
    }),
    arg: flags.string({
        char: `a`,
        multiple: true,
        required: false,
        description: `String name/value pair workflow arg`,
    }),
    boolean: boolean_1.booleanValue(),
    number: number_1.numberValue(),
};
exports.workflowFlags = workflowFlags;
