"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.numberValue = void 0;
const command_1 = require("@oclif/command");
const lodash_1 = require("lodash");
const utils_1 = require("../utils");
exports.numberValue = command_1.flags.build({
    char: `r`,
    description: `Number name/value pair workflow arg`,
    multiple: true,
    required: false,
    helpValue: `arg1=100.0`,
    parse: input => {
        const [success, name, value] = utils_1.parseArg(input);
        if (success) {
            const numberValue = lodash_1.toNumber(value);
            if (lodash_1.isNaN(numberValue)) {
                throw new Error(`${input} is invalid. Must contain a parsable number.`);
            }
            return { [name]: numberValue };
        }
        else {
            throw new Error(`${input} is invalid. Must be in the format of '${name || `foo`}=1.0'`);
        }
    }
});
