"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.timerFlags = void 0;
const command_1 = require("@oclif/command");
exports.timerFlags = {
    trigger: command_1.flags.enum({
        required: true,
        multiple: false,
        default: `immediately`,
        options: [`immediately`, `schedule`, `repeat`],
        description: `Trigger immediately or based on a repeating rule`,
    }),
    timezone: command_1.flags.enum({
        char: `z`,
        required: true,
        multiple: false,
        default: `local`,
        options: [`local`, `utc`, `America/New_York`, `America/Chicago`, `America/Denver`, `America/Los_Angeles`, `America/Phoenix`, `Pacific/Honolulu`],
        helpValue: `one of "local", "utc", offset like "UTC-5", or valid IANA (https://www.iana.org/time-zones) time zone like "America/New_York"`
    }),
    start: command_1.flags.string({
        char: `s`,
    }),
    until: command_1.flags.string({
        char: `e`,
        exclusive: [`count`],
    }),
    count: command_1.flags.integer({
        char: `c`,
        exclusive: [`until`],
    }),
    frequency: command_1.flags.enum({
        char: `f`,
        multiple: false,
        default: `hourly`,
        options: [`minutely`, `hourly`, `daily`, `weekly`, `monthly`, `yearly`],
    }),
    interval: command_1.flags.integer({
        char: `v`,
    }),
};
