"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const plugin_help_1 = tslib_1.__importDefault(require("@oclif/plugin-help"));
const command_1 = tslib_1.__importDefault(require("@oclif/plugin-help/lib/command"));
const lodash_1 = require("lodash");
// eslint-disable-next-line quotes
// import debugFn = require('debug')
// const debug = debugFn(`cli`)
class RelayHelp extends plugin_help_1.default {
    // acts as a "router"
    // and based on the args it receives
    // calls one of showRootHelp, showTopicHelp,
    // or showCommandHelp
    showHelp(args) {
        super.showHelp(args);
    }
    // display the root help of a CLI
    showRootHelp() {
        super.showRootHelp();
    }
    // display help for a topic
    showTopicHelp(topic) {
        super.showTopicHelp(topic);
    }
    // display help for a command
    showCommandHelp(command) {
        super.showCommandHelp(command);
    }
    // the default implementations of showRootHelp
    // showTopicHelp and showCommandHelp
    // will call various format methods that
    // provide the formatting for their corresponding
    // help sections;
    // these can be overwritten as well
    // the formatting responsible for the header
    // displayed for the root help
    formatRoot() {
        return super.formatRoot();
    }
    // the formatting for an individual topic
    formatTopic(topic) {
        return super.formatTopic(topic);
    }
    // the formatting for a list of topics
    formatTopics(topics) {
        return super.formatTopics(topics);
    }
    // the formatting for a list of commands
    formatCommands(commands) {
        return super.formatCommands(commands);
    }
    // the formatting for an individual command
    formatCommand(command) {
        const help = new RelayCommandHelp(command, this.config, this.opts);
        return help.generate();
    }
}
exports.default = RelayHelp;
class RelayCommandHelp extends command_1.default {
    flags(flags) {
        const priorityFlagOrder = lodash_1.orderBy(flags, [f => f.required || false], [`desc`]);
        return super.flags(priorityFlagOrder);
    }
}
