export declare type Subscriber = {
    id: string;
    email: string;
    name: string;
};
export declare type User = {
    email: string;
    userid: string;
};
export declare type AccountEnvelope = {
    account: Account;
};
export declare type Account = {
    account_name: string;
    subscriber_id: string;
    owner_email: string;
};
export declare type Tokens = {
    access_token: string;
    refresh_token?: string;
    expires_in?: number;
};
export declare type TokenAccount = Tokens & {
    username: string;
    uuid: string;
};
export declare type SessionTokens = Record<string, TokenAccount>;
export declare type Session = {
    subscriber: Subscriber;
};
export declare const getSession: () => Session;
export declare const clearConfig: () => void;
export declare const deleteSession: () => void;
export declare const clearSubscribers: () => void;
export declare const getToken: (host?: string) => TokenAccount | undefined;
export declare const setToken: (token: TokenAccount, host?: string) => void;
export declare const saveSubscribers: (subscribers: Subscriber[]) => void;
export declare const getSubscribers: () => Subscriber[];
export declare const saveDefaultSubscriber: (subscriber: Subscriber) => void;
export declare const getDefaultSubscriber: () => Subscriber;
export declare const getDefaultSubscriberId: () => string;
export declare const resolveSubscriber: (subscribers?: Subscriber[]) => Promise<boolean>;
